Liferay.Loader.define("layout-content-page-editor-web@1.0.117/js/store/state.es", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-state', '../utils/FragmentsEditorUpdateUtils.es', '../utils/LayoutDataList.es', '../utils/constants'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = exports.DEFAULT_INITIAL_STATE = exports.INITIAL_STATE = void 0;

  var _metalState = require("frontend-js-metal-web$metal-state");

  var _FragmentsEditorUpdateUtils = require("../utils/FragmentsEditorUpdateUtils.es");

  var _LayoutDataList = require("../utils/LayoutDataList.es");

  var _constants = require("../utils/constants");

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }return obj;
  }

  var LayoutDataShape = _metalState.Config.shapeOf({
    nextColumnId: _metalState.Config.number(),
    nextRowId: _metalState.Config.number(),
    nonIndexableFragmentEntryLinkIds: _metalState.Config.arrayOf(_metalState.Config.string()),
    structure: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      columns: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
        columnId: _metalState.Config.string(),
        fragmentEntryLinkIds: _metalState.Config.arrayOf(_metalState.Config.string()),
        size: _metalState.Config.string().value('')
      })),
      rowId: _metalState.Config.string(),
      type: _metalState.Config.oneOf(Object.values(_constants.FRAGMENTS_EDITOR_ROW_TYPES)).value(_constants.FRAGMENTS_EDITOR_ROW_TYPES.componentRow)
    }))
  });
  /**
   * Initial state
   * @review
   * @type {object}
   */

  var INITIAL_STATE = {
    /**
     * Id of the active item
     * @default ''
     * @review
     * @type {string}
     */
    activeItemId: _metalState.Config.string().value(''),

    /**
     * Type of the active item
     * @default ''
     * @review
     * @type {string}
     */
    activeItemType: _metalState.Config.string().value(''),

    /**
     * URL for adding a comment to a FragmentEntryLink
     * @default ''
     * @review
     * @type {string}
     */
    addFragmentEntryLinkCommentURL: _metalState.Config.string().value(''),

    /**
     * URL for associating fragment entries to the underlying model.
     * @default ''
     * @review
     * @type {string}
     */
    addFragmentEntryLinkURL: _metalState.Config.string().value(''),

    /**
     * URL for associating portlets to the underlying model.
     * @default ''
     * @review
     * @type {string}
     */
    addPortletURL: _metalState.Config.string().value(''),

    /**
     * URL for adding structured content
     * @default ''
     * @review
     * @type {string}
     */
    addStructuredContentURL: _metalState.Config.string().value(''),

    /**
     * List of asset browser links that can be used
     * for selecting an asset
     * @default []
     * @review
     * @type {object[]}
     */
    assetBrowserLinks: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      href: _metalState.Config.string(),
      typeName: _metalState.Config.string()
    })).value([]),
    availableAssets: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      availableTemplates: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
        key: _metalState.Config.string(),
        label: _metalState.Config.string()
      })),
      className: _metalState.Config.string(),
      classNameId: _metalState.Config.string(),
      href: _metalState.Config.string(),
      name: _metalState.Config.string()
    })).value([]),

    /**
     * Object of available languages.
     * @default {}
     * @review
     * @type {object}
     */
    availableLanguages: _metalState.Config.objectOf(_metalState.Config.shapeOf({
      languageId: _metalState.Config.string(),
      languageLabel: _metalState.Config.string()
    })).value({}),

    /**
     * List of available segments
     * @default []
     * @review
     * @type {object[]}
     */
    availableSegmentsEntries: _metalState.Config.objectOf(_metalState.Config.shapeOf({
      name: _metalState.Config.string().required(),
      segmentsEntryId: _metalState.Config.string().required()
    })).value({}),

    /**
     * List of available segments
     * @default []
     * @review
     * @type {object[]}
     */
    availableSegmentsExperiences: _metalState.Config.objectOf(_metalState.Config.shapeOf({
      active: _metalState.Config.bool(),
      name: _metalState.Config.string(),
      priority: _metalState.Config.number(),
      segmentsEntryId: _metalState.Config.string(),
      segmentsExperienceId: _metalState.Config.string()
    })).value({}),

    /**
     * Class name id used for storing changes.
     * @default ''
     * @review
     * @type {string}
     */
    classNameId: _metalState.Config.string().value(''),

    /**
     * Class primary key used for storing changes.
     * @default ''
     * @review
     * @type {string}
     */
    classPK: _metalState.Config.string().value(''),

    /**
     * Flag indicating if the content creation is enabled
     * @default false
     * @review
     * @type {boolean}
     */
    contentCreationEnabled: _metalState.Config.bool().value(false),

    /**
     * Flag indicating if the Create Content dialog should be shown
     * @default false
     * @review
     * @type {boolean}
     */
    createContentDialogVisible: _metalState.Config.bool().value(false),

    /**
     * Default configurations for AlloyEditor instances.
     * @default {}
     * @instance
     * @review
     * @type {object}
     */
    defaultEditorConfigurations: _metalState.Config.object().value({}),

    /**
     * Default language id.
     * @default ''
     * @review
     * @type {string}
     */
    defaultLanguageId: _metalState.Config.string().value(''),

    /**
     * Default segment id.
     * @default ''
     * @review
     * @type {string}
     */
    defaultSegmentsEntryId: _metalState.Config.string().value(''),

    /**
     * Default experience id.
     * @default undefined
     * @review
     * @type {string}
     */
    defaultSegmentsExperienceId: _metalState.Config.string().value(undefined),

    /**
     * URL for removing fragment entries of the underlying model.
     * @default ''
     * @review
     * @type {string}
     */
    deleteFragmentEntryLinkURL: _metalState.Config.string().value(''),

    /**
     * URL for removing a segmentsExperience and it's associated
     * fragmentEntryLinks.
     * @default ''
     * @review
     * @type {string}
     */
    deleteSegmentsExperienceURL: _metalState.Config.string().value(''),

    /**
     * URL to redirect after discard draft action.
     * @default ''
     * @review
     * @type {!string}
     */
    discardDraftRedirectURL: _metalState.Config.string().value(''),

    /**
     * URL to discard draft changes and return to the latest published version.
     * @default ''
     * @review
     * @type {!string}
     */
    discardDraftURL: _metalState.Config.string().value(''),

    /**
     * Border of the target item where another item is being dragged to
     * @default null
     * @review
     * @type {string}
     */
    dropTargetBorder: _metalState.Config.oneOf(Object.values(_constants.FRAGMENTS_EDITOR_ITEM_BORDERS)).value(null),

    /**
     * Id of the element where a fragment is being dragged over
     * @default ''
     * @review
     * @type {string}
     */
    dropTargetItemId: _metalState.Config.string().value(''),

    /**
     * Type of the element where a fragment is being dragged over
     * @default ''
     * @review
     * @type {string}
     */
    dropTargetItemType: _metalState.Config.string().value(''),

    /**
     * URL for duplicating a FragmentEntryLink
     * @default ''
     * @review
     * @type {string}
     */
    duplicateFragmentEntryLinkURL: _metalState.Config.string().value(''),

    /**
     * URL for duplicating a segmentsExperience
     * @default ''
     * @review
     * @type {string}
     */
    duplicateSegmentsExperienceURL: _metalState.Config.string().value(''),

    /**
     * URL for editing a comment to a FragmentEntryLink
     * @default ''
     * @review
     * @type {string}
     */
    editFragmentEntryLinkCommentURL: _metalState.Config.string().value(''),

    /**
     * URL for updating a distinct fragment entries of the editor.
     * @default ''
     * @instance
     * @review
     * @type {string}
     */
    editFragmentEntryLinkURL: _metalState.Config.string().value(''),

    /**
     * Available elements that can be dragged inside the existing Page Template,
     * organized by fragment categories.
     * @default []
     * @review
     * @type {Array<{
     *   fragmentCollectionId: !string,
     *   fragmentEntries: Array<{
     *     fragmentEntryKey: !string,
     *     imagePreviewURL: string,
     *     groupId: string,
     *     name: !string
     *   }>,
     *   name: !string
     * }>}
     */
    elements: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      fragmentCollectionId: _metalState.Config.string().required(),
      fragmentEntries: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
        fragmentEntryKey: _metalState.Config.string().required(),
        groupId: _metalState.Config.string().value(''),
        imagePreviewURL: _metalState.Config.string(),
        name: _metalState.Config.string().required()
      })).required(),
      name: _metalState.Config.string().required()
    })).value([]),

    /**
     * List of fragment instances being used.
     * @default {}
     * @review
     * @type {object}
     */
    fragmentEntryLinks: _metalState.Config.objectOf(_metalState.Config.shapeOf({
      config: _metalState.Config.object().value({}),
      configuration: _metalState.Config.object().value({}),
      content: _metalState.Config.any().value(''),
      editableValues: _metalState.Config.shapeOf(_defineProperty({}, _constants.EDITABLE_FRAGMENT_ENTRY_PROCESSOR, _metalState.Config.objectOf(_metalState.Config.shapeOf({
        classNameId: _metalState.Config.string().value(''),
        classPK: _metalState.Config.string().value(''),
        defaultValue: _metalState.Config.string().required(),
        fieldId: _metalState.Config.string().value(''),
        mappedField: _metalState.Config.string().value('')
      })).value({}))).value({}),
      fragmentEntryId: _metalState.Config.oneOfType([_metalState.Config.string(), _metalState.Config.number()]).value(''),
      fragmentEntryKey: _metalState.Config.string().required(),
      fragmentEntryLinkId: _metalState.Config.string().required(),
      name: _metalState.Config.string().required(),
      portletId: _metalState.Config.string().value('')
    })).value({}),

    /**
     * URL for getting an asset field value
     * @default ''
     * @review
     * @type {string}
     */
    getAssetFieldValueURL: _metalState.Config.string().value(''),

    /**
     * Get asset mapping fields url
     * @default undefined
     * @review
     * @type {string}
     */
    getAssetMappingFieldsURL: _metalState.Config.string().value(''),

    /**
     * URL for obtaining the content structure mapping fields
     * created.
     * @default '''
     * @review
     * @type {string}
     */
    getContentStructureMappingFieldsURL: _metalState.Config.string().value(''),

    /**
     * URL for obtaining the content structures
     * created.
     * @default '''
     * @review
     * @type {string}
     */
    getContentStructuresURL: _metalState.Config.string().value(''),

    /**
     * Get portlets used in a particular experience
     * @default undefined
     * @review
     * @type {string}
     */
    getExperienceUsedPortletsURL: _metalState.Config.string().value(''),

    /**
     * URL for obtaining the asset types for which info display pages can be
     * created.
     * @default '''
     * @review
     * @type {string}
     */
    getInfoClassTypesURL: _metalState.Config.string().value(''),

    /**
     * URL for obtaining the asset types for which info display pages can be
     * created.
     * @default '''
     * @review
     * @type {string}
     */
    getInfoDisplayContributorsURL: _metalState.Config.string().value(''),

    /**
     * Get page content url
     * @default undefined
     * @review
     * @type {string}
     */
    getPageContentsURL: _metalState.Config.string().value(''),

    /**
     * Group id.
     * @default ''
     * @review
     * @type {string}
     */
    groupId: _metalState.Config.string().value(''),

    /**
     * Id of the last element that was hovered
     * @default ''
     * @review
     * @type {string}
     */
    hoveredItemId: _metalState.Config.string().value(''),

    /**
     * Type of the last element that was hovered
     * @default ''
     * @review
     * @type {string}
     */
    hoveredItemType: _metalState.Config.string().value(''),

    /**
     * Image selector url
     * @default undefined
     * @review
     * @type {string}
     */
    imageSelectorURL: _metalState.Config.string().value(''),

    /**
     * Whether the page is a content page or not
     * @default true
     * @review
     * @type {string}
     */
    isContentPage: _metalState.Config.bool().value(true),

    /**
     * Currently selected language id.
     * @default ''
     * @review
     * @type {string}
     */
    languageId: _metalState.Config.string().value(''),

    /**
     * Last date when the autosave has been executed.
     * @default ''
     * @review
     * @type {string}
     */
    lastSaveDate: _metalState.Config.string().value(''),

    /**
     * Data associated to the layout
     * @default {structure: []}
     * @review
     * @type {{structure: Array}}
     */
    layoutData: LayoutDataShape.value((0, _LayoutDataList.getEmptyLayoutData)()),

    /**
     * List of layoutData related to segmentsExperiences
     * @default ''
     * @review
     * @type {!Array}
     */
    layoutDataList: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      layoutData: LayoutDataShape.required(),
      segmentsExperienceId: _metalState.Config.string().required()
    })).value([]),

    /**
     * Current layout look&feel url
     * @default undefined
     * @review
     * @type {string}
     */
    lookAndFeelURL: _metalState.Config.string().value(''),

    /**
     * @default []
     * @review
     * @type {object[]}
     */
    mappedAssetEntries: _metalState.Config.array().value([]),

    /**
     * URL for getting the list of mapping fields
     * @default ''
     * @review
     * @type {string}
     */
    mappingFieldsURL: _metalState.Config.string().value(''),

    /**
     * @default []
     * @review
     * @type {Array<{name: string, status: { label: string, style: string }, title: string, usagesCount: number}>}
     */
    pageContents: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      name: _metalState.Config.string(),
      status: _metalState.Config.shapeOf({
        label: _metalState.Config.string(),
        style: _metalState.Config.string()
      }),
      title: _metalState.Config.string(),
      usagesCount: _metalState.Config.number()
    })).value([]),

    /**
     * Portlet namespace needed for prefixing form inputs
     * @default ''
     * @review
     * @type {string}
     */
    portletNamespace: _metalState.Config.string().value(''),

    /**
     * @default ''
     * @review
     * @type {!string}
     */
    publishURL: _metalState.Config.string().value(''),

    /**
     * @default ''
     * @review
     * @type {!string}
     */
    redirectURL: _metalState.Config.string().value(''),

    /**
     * URL for getting a fragment content.
     * @default ''
     * @review
     * @type {string}
     */
    renderFragmentEntryURL: _metalState.Config.string().value(''),

    /**
     * When true, it indicates that are changes pending to save.
     * @default false
     * @review
     * @type {boolean}
     */
    savingChanges: _metalState.Config.bool().value(false),

    /**
     * Available sections that can be dragged inside the existing Page Template,
     * organized by fragment categories.
     * @default []
     * @review
     * @type {Array<{
     *   fragmentCollectionId: !string,
     *   fragmentEntries: Array<{
     *     fragmentEntryKey: !string,
     *     imagePreviewURL: string,
     *     groupId: string,
     *     name: !string
     *   }>,
     *   name: !string
     * }>}
     */
    sections: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      fragmentCollectionId: _metalState.Config.string().required(),
      fragmentEntries: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
        fragmentEntryKey: _metalState.Config.string().required(),
        groupId: _metalState.Config.string().value(''),
        imagePreviewURL: _metalState.Config.string(),
        name: _metalState.Config.string().required()
      }).required()).required(),
      name: _metalState.Config.string().required()
    })).value([]),

    /**
     * The active segmentsExperience
     * @default ''
     * @review
     * @type {string}
     */
    segmentsExperienceId: _metalState.Config.string().value(),

    /**
     * Selected items
     * @default []
     * @review
     * @type {Array<string>}
     */
    selectedItems: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      itemId: _metalState.Config.string(),
      itemType: _metalState.Config.string()
    })).value([]),

    /**
     * Selected mapping type label
     * @default {}
     * @review
     * @type {{
     *   subtype: {
     *   	id: !string,
     *   	label: !string
     *   },
     *   type: {
     *   	id: !string,
     *   	label: !string
     *   }
     * }}
     */
    selectedMappingTypes: _metalState.Config.shapeOf({
      subtype: _metalState.Config.shapeOf({
        id: _metalState.Config.string().required(),
        label: _metalState.Config.string().required()
      }),
      type: _metalState.Config.shapeOf({
        id: _metalState.Config.string().required(),
        label: _metalState.Config.string().required()
      })
    }).value({}),

    /**
     * Selected sidebar panel ID to be shown (null or empty)
     * when sidebar is hidden.
     * @default 'sections'
     * @review
     * @type {string}
     */
    selectedSidebarPanelId: _metalState.Config.string().value('sections'),

    /**
     * Flag indicating if resolved comments should be shown
     * @default false
     * @review
     * @type {boolean}
     */
    showResolvedComments: _metalState.Config.bool().value(false),

    /**
     * List of sidebar panels
     * @default []
     * @review
     * @type {object[]}
     */
    sidebarPanels: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      icon: _metalState.Config.string(),
      label: _metalState.Config.string(),
      sidebarPanelId: _metalState.Config.string()
    })).value([]),

    /**
     * Path of the available icons.
     * @default ''
     * @review
     * @type {string}
     */
    spritemap: _metalState.Config.string().value(''),

    /**
     * @default ''
     * @review
     * @type {!string}
     */
    status: _metalState.Config.string().value(''),

    /**
     * @default []
     * @review
     * @type {Array}
     */
    themeColorsCssClasses: _metalState.Config.arrayOf(_metalState.Config.string()).value([]),

    /**
     * URL for updating configuration values to a fragment entry link.
     * @default ''
     * @instance
     * @review
     * @type {string}
     */
    updateConfigurationValuesURL: _metalState.Config.string().value(''),

    /**
     * URL for updating layout data.
     * @default ''
     * @review
     * @type {string}
     */
    updateLayoutPageTemplateDataURL: _metalState.Config.string().value(''),

    /**
     * Available widgets that can be dragged inside the existing Page Template,
     * organized by categories.
     * @default []
     * @review
     * @type {Array<{
     *   categories: Array,
     *   path: !string,
     *   portlets: Array<{
     *     instanceable: !boolean,
     *     portletId: string,
     *     title: !string,
     *     used: !boolean
     *   }>,
     * 	 title: !string
     * }>}
     */
    widgets: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
      categories: _metalState.Config.array(),
      path: _metalState.Config.string().required(),
      portlets: _metalState.Config.arrayOf(_metalState.Config.shapeOf({
        instanceable: _metalState.Config.bool().required(),
        portletId: _metalState.Config.string().required(),
        title: _metalState.Config.string().required(),
        used: _metalState.Config.bool().required()
      }).required()),
      title: _metalState.Config.string().required()
    })).value([])
  };
  /**
   * Initial default state
   * @review
   * @type {object}
   */

  exports.INITIAL_STATE = INITIAL_STATE;
  var DEFAULT_INITIAL_STATE = Object.keys(INITIAL_STATE).reduce(function (defaultInitialState, key) {
    return (0, _FragmentsEditorUpdateUtils.setIn)(defaultInitialState, [key], INITIAL_STATE[key].config.value);
  }, {});
  exports.DEFAULT_INITIAL_STATE = DEFAULT_INITIAL_STATE;
  var _default = INITIAL_STATE;
  exports["default"] = _default;
  //# sourceMappingURL=state.es.js.map
});
//# sourceMappingURL=state.es.js.map