/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @typechecks static-only
 */

'use strict';

/**
 * Memoizes the return value of a function that accepts one string argument.
 */

Liferay.Loader.define('layout-content-page-editor-web$fbjs@0.8.17/lib/memoizeStringOnly', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  function memoizeStringOnly(callback) {
    var cache = {};
    return function (string) {
      if (!cache.hasOwnProperty(string)) {
        cache[string] = callback.call(this, string);
      }
      return cache[string];
    };
  }

  module.exports = memoizeStringOnly;
});
//# sourceMappingURL=memoizeStringOnly.js.map