Liferay.Loader.define('layout-content-page-editor-web$lodash-es@4.17.15/_listCacheSet', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import assocIndexOf from './_assocIndexOf.js';

  /**
   * Sets the list cache `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf ListCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the list cache instance.
   */
  function listCacheSet(key, value) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      ++this.size;
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }

  export default listCacheSet;
});
//# sourceMappingURL=_listCacheSet.js.map