Liferay.Loader.define('layout-content-page-editor-web$lodash-es@4.17.15/hasIn', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import baseHasIn from './_baseHasIn.js';
  import hasPath from './_hasPath.js';

  /**
   * Checks if `path` is a direct or inherited property of `object`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Object
   * @param {Object} object The object to query.
   * @param {Array|string} path The path to check.
   * @returns {boolean} Returns `true` if `path` exists, else `false`.
   * @example
   *
   * var object = _.create({ 'a': _.create({ 'b': 2 }) });
   *
   * _.hasIn(object, 'a');
   * // => true
   *
   * _.hasIn(object, 'a.b');
   * // => true
   *
   * _.hasIn(object, ['a', 'b']);
   * // => true
   *
   * _.hasIn(object, 'b');
   * // => false
   */
  function hasIn(object, path) {
    return object != null && hasPath(object, path, baseHasIn);
  }

  export default hasIn;
});
//# sourceMappingURL=hasIn.js.map