Liferay.Loader.define('layout-content-page-editor-web$lodash-es@4.17.15/overSome', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import arraySome from './_arraySome.js';
  import createOver from './_createOver.js';

  /**
   * Creates a function that checks if **any** of the `predicates` return
   * truthy when invoked with the arguments it receives.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Util
   * @param {...(Function|Function[])} [predicates=[_.identity]]
   *  The predicates to check.
   * @returns {Function} Returns the new function.
   * @example
   *
   * var func = _.overSome([Boolean, isFinite]);
   *
   * func('1');
   * // => true
   *
   * func(null);
   * // => true
   *
   * func(NaN);
   * // => false
   */
  var overSome = createOver(arraySome);

  export default overSome;
});
//# sourceMappingURL=overSome.js.map