Liferay.Loader.define('layout-content-page-editor-web$lodash-es@4.17.15/unary', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import ary from './ary.js';

  /**
   * Creates a function that accepts up to one argument, ignoring any
   * additional arguments.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Function
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   * @example
   *
   * _.map(['6', '8', '10'], _.unary(parseInt));
   * // => [6, 8, 10]
   */
  function unary(func) {
    return ary(func, 1);
  }

  export default unary;
});
//# sourceMappingURL=unary.js.map