Liferay.Loader.define('layout-content-page-editor-web$lodash-es@4.17.15/union', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import baseFlatten from './_baseFlatten.js';
  import baseRest from './_baseRest.js';
  import baseUniq from './_baseUniq.js';
  import isArrayLikeObject from './isArrayLikeObject.js';

  /**
   * Creates an array of unique values, in order, from all given arrays using
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * for equality comparisons.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {...Array} [arrays] The arrays to inspect.
   * @returns {Array} Returns the new array of combined values.
   * @example
   *
   * _.union([2], [1, 2]);
   * // => [2, 1]
   */
  var union = baseRest(function (arrays) {
    return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
  });

  export default union;
});
//# sourceMappingURL=union.js.map